# Class ServiceError

A ServiceError is an Error that includes the HTTP response details

#### Hierarchy

- Error
  - ServiceError

- Defined in services/ServiceError.ts:4

#####
Index

### Constructors

constructor

### Properties

res

## Constructors

### constructor

- new ServiceError(res: Response, customMessage?: string): ServiceError

- #### Parameters

  - ##### res: Response

  - ##### customMessage: string = ""

  #### Returns ServiceError

  Overrides Error.constructor

  - Defined in services/ServiceError.ts:5

## Properties

### res

res: Response

- Defined in services/ServiceError.ts:5

Generated using TypeDoc